%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}

%define version 0.9.13
%define rel 11
%define name    xine-lib-compat
%define oname	xine-lib

%define major 0
%define libname libxine%major
%define bname xine

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif


Name:        %{name}
Summary:     A Free Video Player (Libraries).
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       System/Libraries
Source:      %oname-%version.tar.bz2
Patch:	     xine-plugins-0.9.12-divx.patch.bz2
Patch1:      xine-lib-0.9.13-fix-segfault.bz2
URL:         http://xine.sourceforge.net
BuildRoot:   %_tmppath/%{name}-buildroot
Buildrequires: libaa1-devel
# should be required by libaa1-devel:
BuildRequires: libslang1-devel libgpm1-devel
Buildrequires: libesound0-devel
Buildrequires: libvorbis-devel
Buildrequires: libalsa2-devel
Buildrequires: libarts-devel
Buildrequires: libSDL-devel
Buildrequires: libdxr3-devel

%description 
xine is a free gpl-licensed video player for unix-like systems.

%package -n %libname
Summary:     	A Free Video Player (Libraries).
Group: 		System/Libraries

%description -n %libname
xine is a free gpl-licensed video player for unix-like systems.

This package contains the shared libraries required by xine.

%package plugins
Summary:     	A Free Video Player (main plugins).
Group: 		Video
Provides: %bname-xv %bname-gl %bname-oss
Obsoletes: %bname-xv %bname-gl %bname-oss
Provides: %bname-plugins = %version-%release

%description plugins
xine is a free gpl-licensed video player for unix-like systems.

This package includes the main plugins for xine, they allow the input
from files, Video CDs, network streams and (not encrypted) DVDs in
several video formats.  For additional plugins (support for DVDs
protected by CSS or for non free codecs) you could try the packages
from the Penguin Liberation Front home page:

http://plf.zarb.org

That page is not connected to MandrakeSoft.

%package -n %libname-devel
Summary:        Devel files for xine.
Group:          Development/C
Requires:	%libname = %version-%release
Provides:	libxine-devel = %version-%release

%description -n %libname-devel
xine is a free gpl-licensed video player for unix-like systems.

This package contains the development files required for compiling xine
front ends or plugins.

%package alsa
Summary:        Alsa plugin for xine.
Group:          Video

%description alsa
xine is a free gpl-licensed video player for unix-like systems.

- Alsa audio output plugin

%package arts
Summary:        Arts plugin for xine.
Group:          Video

%description arts
xine is a free gpl-licensed video player for unix-like systems.

- Arts audio output plugin

%package esd
Summary:        Esd plugin for xine.
Group:          Video

%description esd
xine is a free gpl-licensed video player for unix-like systems.

- Esd audio output plugin

%package aa
Summary:        Aalib plugin for xine..
Group:          Video

%description aa
xine is a free gpl-licensed video player for unix-like systems.

- Aalib textmode output plugin

%package dxr3
Summary:        DXR3 plugin for xine..
Group:          Video
%if %build_plf
BuildRequires:  libfame0.8-devel
BuildRequires:  librte0.4-devel
%endif
%description dxr3
xine is a free gpl-licensed video player for unix-like systems.

- DXR3/Hollywood+ (MPEG2 hardware decoder) decoding/output plugin
%if %build_plf
- this version has mpeg encoding enabled using libfame
%endif

%package -n %libname-docs
Summary:        Docs for xine.
Group:          Books/Computer books
Requires:       %libname = %version

%description -n %libname-docs
xine is a free gpl-licensed video player for unix-like systems.

This package contains the developer's documentation for the xine library.

%if  %build_plf
%package divx4
Summary:     	Divx4 plugin for %{bname}
Group: 		Video
Requires:	%{name}-plugins = %{version}
ExclusiveArch:	%ix86

%description -n %{name}-divx4
This package contains the divx4linux plugin for %{bname}.

%package faad
Summary:     	FAAD plugin for %{bname}
Group: 		Video
Requires:	%{name}-plugins = %{version}
ExclusiveArch:	%ix86

%description faad
This package contains the AAC decoder plugin for %{bname}.

%package win32
Summary:     	Win32 plugin for %{bname}
Group: 		Video
Requires:	%{name}-plugins = %{version}
Requires:	win32-codecs
ExclusiveArch:	%ix86

%description win32
This package contains the win32 plugin for %{bname}.

%package xvid
Summary:     	XviD plugin for %{bname}
Group: 		Video
Requires:	%{name}-plugins = %{version}

%description xvid
This package contains the XviD plugin for %{bname}.
%endif

%prep
%setup -q -n %oname-%version
%patch
%patch1 -p1

%build
%ifarch %ix86
# this is nessessary to make the win32 dll loader work
export CFLAGS="%optflags  -mno-omit-leaf-frame-pointer"
%endif
libtoolize --force
%configure

%make

%install

rm -rf %buildroot
%makeinstall_std
(cd %buildroot/%_datadir/locale; mv pl_PL pl)
#clean out unpackaged files
rm -f %buildroot/%_libdir/xine/plugins/*.la
rm -rf %buildroot/%_datadir/doc/xine
%if !%build_plf
# clean the evil plf plugins :-) 
rm -f %buildroot/%_libdir/xine/plugins/xineplug_decode_divx4.so
rm -f %buildroot/%_libdir/xine/plugins/xineplug_decode_faad.so
rm -f %buildroot/%_libdir/xine/plugins/xineplug_decode_w32dll.so
%endif
%find_lang %oname

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS TODO
%_libdir/libxine*.so.*

%files plugins -f %{oname}.lang
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_ao_out_oss.so
%_libdir/xine/plugins/xineplug_inp_*so
%_libdir/xine/plugins/xineplug_dmx_*so
%_libdir/xine/plugins/xineplug_decode_a52.so
%_libdir/xine/plugins/xineplug_decode_adpcm.so
%_libdir/xine/plugins/xineplug_decode_cinepak.so
%_libdir/xine/plugins/xineplug_decode_cyuv.so
%_libdir/xine/plugins/xineplug_decode_dts.so
%_libdir/xine/plugins/xineplug_decode_ff.so
%_libdir/xine/plugins/xineplug_decode_fli.so
%_libdir/xine/plugins/xineplug_decode_lpcm.so
%_libdir/xine/plugins/xineplug_decode_mad.so
%_libdir/xine/plugins/xineplug_decode_mpeg2.so
%_libdir/xine/plugins/xineplug_decode_msrle.so
%_libdir/xine/plugins/xineplug_decode_msvc.so
%_libdir/xine/plugins/xineplug_decode_spu*.so
%_libdir/xine/plugins/xineplug_decode_svq1.so
%_libdir/xine/plugins/xineplug_decode_rgb.so
%_libdir/xine/plugins/xineplug_decode_roq*.so
%_libdir/xine/plugins/xineplug_decode_vorbis.so
%_libdir/xine/plugins/xineplug_decode_yuv.so
%_libdir/xine/plugins/xineplug_vo_out_fb.so
%_libdir/xine/plugins/xineplug_vo_out_opengl.so
%_libdir/xine/plugins/xineplug_vo_out_sdl.so
%_libdir/xine/plugins/xineplug_vo_out_syncfb.so
%ifnarch ppc
%_libdir/xine/plugins/xineplug_vo_out_vidix.so
%endif
%_libdir/xine/plugins/xineplug_vo_out_xshm.so
%_libdir/xine/plugins/xineplug_vo_out_xv.so
%ifnarch ppc
%_libdir/xine/plugins/vidix/*
%endif
%_datadir/xine

%files -n %libname-devel
%defattr(-,root,root)
%doc README COPYING
%_bindir/xine-config
%_mandir/man1/xine-config.1*
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal/xine.m4
%_includedir/*.h
%_includedir/xine

%files alsa
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_ao_out_alsa.so

%files arts
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_ao_out_arts.so

%files esd
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_ao_out_esd.so

%files aa
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_vo_out_aa.so

%files dxr3
%defattr(-,root,root)
%doc README COPYING
%_libdir/xine/plugins/xineplug_*dxr3*.so

%files -n %libname-docs
%defattr(-,root,root)
%doc doc/README*
%doc doc/xine-lib-API/html/*.*
%_mandir/man3/*

%if %build_plf
%files divx4
%defattr(-,root,root)
%_libdir/xine/plugins/xineplug_decode_divx4.so*

%files faad
%defattr(-,root,root)
%_libdir/xine/plugins/xineplug_decode_faad.so*

%files win32
%defattr(-,root,root)
%_libdir/xine/plugins/xineplug_decode_w32dll.so*

%files xvid
%defattr(-,root,root)
%_libdir/xine/plugins/xineplug_decode_xvid.so*
%endif

%changelog
* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-11mdk
- rebuild to fix missing library packages

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-10mdk
- back for kdemultimedia, renamed as xine-lib-compat

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-9mdk
- remove unpackaged files after installation
- add missing plugins: rgb, yuv 

* Thu Oct 24 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.13-8mdk
- skip vidix on PPC

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-7mdk
- add missing xine.m4 macro file to devel package

* Wed Oct 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.13-6mdk
- patch 1 : fix segfault when streaming 

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-5mdk
- rename polish locale to please rpmlint
- move xine-oss to xine-plugins package, so we always have a sound driver

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.13-4mdk
- fix doc subpackage group

* Fri Aug 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- remove buildrequires on doxygen
- build plf version with rte support
- build plf version with libfame0.8 as 0.9 doesn't work 

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-2mdk
- add -mno-omit-leaf-frame-pointer to CFLAGS to fix win32 codecs

* Sun Aug  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- clean up buildrequires
- 0.9.13
- merge with plf package, enable with --with plf

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- add ChangeLog, AUTHORS, TODO  to the docs
- 0.9.12

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11a-2mdk
- add the vidix plugins missing in the last release

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11a-1mdk
- add adpcm, cyuv, roq*, svq1, msvc, vidix plugins
- buildrequires doxygen
- new version

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.10-4mdk
- Add support for DXR3/Hollywood+ card

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-3mdk
- fix buildrequires
- add SDL plugin

* Tue May 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-2mdk
- fix libarts buildrequires
- merge xv and gl package into main xine-plugins
- call libtoolize to fix build

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- remove xine-logoconv
- adapt major version
- new version

* Mon Apr 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- add opengl support
- 0.9.9
- enable alsa 0.9

* Sat Feb 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-4mdk
- fix group
- better descriptions
- update URL of the Penguin Liberation Front

* Tue Jan 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- rebuild for missing binary rpms

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- added frame buffer output plugin

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- major number changed to 0.9.8
- updated file list
- 0.9.8

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-3mdk
- removed plugin libtool files from devel package
- removed xine-extra and divx plugin, they are now in PLF packages
- updated description of xine-plugins 

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- updated description of xine-plugins

* Tue Dec 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- 
- changed major version number to 0.9.7_0
- 0.9.7
- remove workaround for alsa build, kernel-headers work again

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- add kernel-source includes to cflags to enable alsa build
- 0.9.6

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- clean documentation dir
- add some documentation files everywhere
- fixed major version number
- fixed naming scheme of packages to be more xmms-like
- dropped patch

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Thu Nov 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- fixed Group
- patch to include version number in plugin/skin dirs
- add man page for xine-config
- updated BuildRequires
- removed duplicated files from libxine0
- moved man pages to doc package
- moved xine-config to devel
- updated descriptions for the plugin packages

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

